Stack trace generation and parsing.

Installing

Use pub to install this package. Add the following to your pubspec.yaml file.

dependencies:
  stack_trace: any

Then run pub install.

For more information, see the stack_trace package on pub.dartlang.org.

Classes

Chain
A chain of stack traces. [...]
Frame
A single stack frame. Each frame points to a precise location in Dart code.
Trace
A stack trace, comprised of a list of stack frames.
UnparsedFrame
A frame that failed to parse. [...]

Typedefs

ChainHandler(error, Chain chain) → void
A function that handles errors in the zone wrapped by Chain.capture.
@Deprecated("Will be removed in stack_trace 2.0.0.")